#include "K30DrawPatrolActor.h"
#include "GameplayTagContainerComponent.h"

class APawn;
class AController;
class AK30Power;
class AKiller;

void AK30DrawPatrolActor::Server_SendStartPatrolInputPressed_Implementation()
{

}

void AK30DrawPatrolActor::Server_SendGiveOrderInputPressed_Implementation()
{

}

void AK30DrawPatrolActor::Server_SendCancelInteractionInputPressed_Implementation()
{

}

void AK30DrawPatrolActor::OnPostProcessInput()
{

}

void AK30DrawPatrolActor::OnLevelReadyToPlay()
{

}

void AK30DrawPatrolActor::OnControllerChanged(APawn* pawn, AController* oldController, AController* newController)
{

}

AK30Power* AK30DrawPatrolActor::GetK30Power()
{
	return NULL;
}

AKiller* AK30DrawPatrolActor::GetK30Actor()
{
	return NULL;
}

AK30DrawPatrolActor::AK30DrawPatrolActor()
{
	this->_objectState = CreateDefaultSubobject<UGameplayTagContainerComponent>(TEXT("ObjectState"));
	this->_perchRadiusThreshold = 50.000000;
	this->_allowBackwardsMovement = false;
}
